- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGPropertyListElement Class Reference

## Public Member Functions
| RVNGPropertyListElement ()
| RVNGPropertyListElement (const RVNGPropertyListElement &elem)
| RVNGPropertyListElement (RVNGProperty *prop, RVNGPropertyListVector *vec)
| ~RVNGPropertyListElement ()
RVNGPropertyListElement & | operator= (const RVNGPropertyListElement &elem)

## Public Attributes
RVNGProperty * | m_prop
RVNGPropertyListVector * | m_vec

## Constructor & Destructor Documentation

librevenge::RVNGPropertyListElement::RVNGPropertyListElement | ( |  | ) |
| inline

Referenced by librevenge::RVNGPropertyListImpl::insert().

librevenge::RVNGPropertyListElement::RVNGPropertyListElement | ( | const RVNGPropertyListElement & | elem | ) |
| inline

librevenge::RVNGPropertyListElement::RVNGPropertyListElement | ( | RVNGProperty * | prop,
|  | RVNGPropertyListVector * | vec
| ) |  |
| inline

librevenge::RVNGPropertyListElement::~RVNGPropertyListElement | ( |  | ) |
| inline

## Member Function Documentation

RVNGPropertyListElement& librevenge::RVNGPropertyListElement::operator= | ( | const RVNGPropertyListElement & | elem | ) |
| inline

Referenced by librevenge::RVNGPropertyListImpl::~RVNGPropertyListImpl().

## Member Data Documentation

RVNGProperty* librevenge::RVNGPropertyListElement::m_prop

Referenced by operator=(), and ~RVNGPropertyListElement().

RVNGPropertyListVector* librevenge::RVNGPropertyListElement::m_vec

Referenced by operator=(), and ~RVNGPropertyListElement().

The documentation for this class was generated from the following file:

- RVNGPropertyList.cpp